2022-12-16 18:33:06 UTC
134 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.7.2-release
SWIFT_PLATFORMubuntu20.04
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.7.2-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:846c0b181fff0c667d9444f8378e8fcfa13116da8d308bf21673f7e4bea8d580 - 20.41% (27.3 MB)
[#001] sha256:64a724749a92c92c0212d6b4a561dee88ec9a196c8ac9d597cbb5b1613e37a3b - 15.86% (21.2 MB)
[#002] sha256:349b1b0ca4234b18ef9624b8ae91825cb048d9a6b6085198d36e6917456bcc41 - 63.73% (85.1 MB)
/bin/sh -c #(nop) ADD file:9d282119af0c42bc823c95b4192a3350cf2cad670622017356dd2e637762e425 in /
2022-12-09 01:20:21 UTC/bin/sh -c #(nop) CMD ["bash"]
2022-12-09 02:57:16 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2022-12-09 02:57:16 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2022-12-09 02:57:28 UTC/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/*
2022-12-09 02:57:29 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2022-12-09 02:57:29 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu20.04
2022-12-16 18:32:17 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.7.2-release
2022-12-16 18:32:17 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.7.2-RELEASE
2022-12-16 18:32:17 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2022-12-16 18:32:17 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.7.2-release SWIFT_VERSION=swift-5.7.2-RELEASE SWIFT_WEBROOT=https://download.swift.org
2022-12-16 18:33:06 UTC/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg
2022-12-19 17:36:22 UTC
128 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.7.2-release
SWIFT_PLATFORMubuntu20.04
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.7.2-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:f04b4bbe15805316c8fda79beedd3b77e6b1ffcd0acf81226c3089e63f6bffeb - 20.24% (25.9 MB)
[#001] sha256:8881594e1351e5e30bd277b2b9f23cb3109e4c239aa9a13c315da1d42900611b - 16.37% (21 MB)
[#002] sha256:4eb5b090f76b27e62aeaed09d980333f18618d6e69c4e029abd6ff605dd39812 - 63.39% (81.2 MB)
/bin/sh -c #(nop) ADD file:8cba976cb6ea226de769a768ee274e7679d34f923c93392f340680dc6696232e in /
2022-12-09 01:46:50 UTC/bin/sh -c #(nop) CMD ["bash"]
2022-12-09 02:20:05 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2022-12-09 02:20:05 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2022-12-09 02:20:20 UTC/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/*
2022-12-09 02:20:20 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2022-12-09 02:20:20 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu20.04
2022-12-16 19:03:15 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.7.2-release
2022-12-16 19:03:16 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.7.2-RELEASE
2022-12-16 19:03:16 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2022-12-16 19:03:16 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.7.2-release SWIFT_VERSION=swift-5.7.2-RELEASE SWIFT_WEBROOT=https://download.swift.org
2022-12-19 17:36:22 UTC/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.